"use strict";
// Copyright Epic Games, Inc. All Rights Reserved.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextOverlay = void 0;
const BaseOverlay_1 = require("./BaseOverlay");
/**
 * Class for the text overlay base
 */
class TextOverlay extends BaseOverlay_1.OverlayBase {
    /**
     * Construct a text overlay
     * @param rootDiv - the root element this overlay will be inserted into
     * @param rootElement - the root element that is the overlay
     * @param textElement - an element that contains text for the action overlay
     */
    constructor(rootDiv, rootElement, textElement) {
        super(rootDiv, rootElement, textElement);
    }
    /**
     * Update the text overlays inner text
     * @param text - the update text to be inserted into the overlay
     */
    update(text) {
        if (text != null || text != undefined) {
            this.textElement.innerHTML = text;
        }
    }
}
exports.TextOverlay = TextOverlay;
//# sourceMappingURL=TextOverlay.js.map