"use strict";
// Copyright Epic Games, Inc. All Rights Reserved.
Object.defineProperty(exports, "__esModule", { value: true });
exports.UIElementCreationMode = exports.StatsSections = exports.SettingsSections = exports.ExtraFlags = void 0;
exports.isPanelEnabled = isPanelEnabled;
exports.isSectionEnabled = isSectionEnabled;
exports.isSettingEnabled = isSettingEnabled;
class ExtraFlags {
}
exports.ExtraFlags = ExtraFlags;
ExtraFlags.LightMode = 'LightMode';
/**
 * All the UI sections across all the panels.
 */
class SettingsSections {
}
exports.SettingsSections = SettingsSections;
SettingsSections.PixelStreaming = 'Pixel Streaming';
SettingsSections.UI = 'UI';
SettingsSections.Input = 'Input';
SettingsSections.Encoder = 'Encoder';
SettingsSections.WebRTC = 'WebRTC';
SettingsSections.Commands = 'Commands';
class StatsSections {
}
exports.StatsSections = StatsSections;
StatsSections.SessionStats = 'Session Stats';
StatsSections.LatencyStats = 'Latency Stats';
StatsSections.LatencyTest = 'Latency Test';
StatsSections.DataChannelLatencyTest = 'Data Channel Latency Test';
/** Whether a stream UI element is internally made, externally provided, or disabled. */
var UIElementCreationMode;
(function (UIElementCreationMode) {
    UIElementCreationMode[UIElementCreationMode["CreateDefaultElement"] = 0] = "CreateDefaultElement";
    UIElementCreationMode[UIElementCreationMode["UseCustomElement"] = 1] = "UseCustomElement";
    UIElementCreationMode[UIElementCreationMode["Disable"] = 2] = "Disable";
})(UIElementCreationMode || (exports.UIElementCreationMode = UIElementCreationMode = {}));
function isPanelEnabled(config) {
    return !config || (!!config && config.isEnabled);
}
function isSectionEnabled(config, section) {
    return (!config ||
        (!!config &&
            (!Object.prototype.hasOwnProperty.call(config.sectionVisibility, section) ||
                (Object.prototype.hasOwnProperty.call(config.sectionVisibility, section) &&
                    config.sectionVisibility[section]))));
}
function isSettingEnabled(config, setting) {
    return (!config ||
        (!!config &&
            (!Object.prototype.hasOwnProperty.call(config.settingVisibility, setting) ||
                (Object.prototype.hasOwnProperty.call(config.settingVisibility, setting) &&
                    config.settingVisibility[setting]))));
}
//# sourceMappingURL=UIConfigurationTypes.js.map