// Copyright Epic Games, Inc. All Rights Reserved.
export class ExtraFlags {
}
ExtraFlags.LightMode = 'LightMode';
/**
 * All the UI sections across all the panels.
 */
export class SettingsSections {
}
SettingsSections.PixelStreaming = 'Pixel Streaming';
SettingsSections.UI = 'UI';
SettingsSections.Input = 'Input';
SettingsSections.Encoder = 'Encoder';
SettingsSections.WebRTC = 'WebRTC';
SettingsSections.Commands = 'Commands';
export class StatsSections {
}
StatsSections.SessionStats = 'Session Stats';
StatsSections.LatencyStats = 'Latency Stats';
StatsSections.LatencyTest = 'Latency Test';
StatsSections.DataChannelLatencyTest = 'Data Channel Latency Test';
/** Whether a stream UI element is internally made, externally provided, or disabled. */
export var UIElementCreationMode;
(function (UIElementCreationMode) {
    UIElementCreationMode[UIElementCreationMode["CreateDefaultElement"] = 0] = "CreateDefaultElement";
    UIElementCreationMode[UIElementCreationMode["UseCustomElement"] = 1] = "UseCustomElement";
    UIElementCreationMode[UIElementCreationMode["Disable"] = 2] = "Disable";
})(UIElementCreationMode || (UIElementCreationMode = {}));
export function isPanelEnabled(config) {
    return !config || (!!config && config.isEnabled);
}
export function isSectionEnabled(config, section) {
    return (!config ||
        (!!config &&
            (!Object.prototype.hasOwnProperty.call(config.sectionVisibility, section) ||
                (Object.prototype.hasOwnProperty.call(config.sectionVisibility, section) &&
                    config.sectionVisibility[section]))));
}
export function isSettingEnabled(config, setting) {
    return (!config ||
        (!!config &&
            (!Object.prototype.hasOwnProperty.call(config.settingVisibility, setting) ||
                (Object.prototype.hasOwnProperty.call(config.settingVisibility, setting) &&
                    config.settingVisibility[setting]))));
}
//# sourceMappingURL=UIConfigurationTypes.js.map