import { Styles } from 'jss';
export interface ColorPalette {
    '--color0': string;
    '--color1': string;
    '--color2': string;
    '--color3': string;
    '--color4': string;
    '--color5': string;
    '--color6': string;
    '--color7': string;
}
export declare class PixelStreamingApplicationStyle {
    defaultLightModePalette: ColorPalette;
    defaultDarkModePalette: ColorPalette;
    defaultStyles: {
        ':root': {
            '--color0': string;
            '--color1': string;
            '--color2': string;
            '--color3': string;
            '--color4': string;
            '--color5': string;
            '--color6': string;
            '--color7': string;
            '--color8': string;
            '--color9': string;
            '--color10': string;
            '--color11': string;
        };
        '.noselect': {
            userSelect: string;
        };
        '#playerUI': {
            width: string;
            height: string;
            position: string;
        };
        '#videoElementParent': {
            width: string;
            height: string;
            position: string;
            backgroundColor: string;
        };
        '#uiFeatures': {
            width: string;
            height: string;
            zIndex: string;
            position: string;
            color: string;
            pointerEvents: string;
            overflow: string;
        };
        '.UiTool .tooltiptext': {
            visibility: string;
            width: string;
            color: string;
            textAlign: string;
            borderRadius: string;
            padding: string;
            fontFamily: string;
            fontSize: string;
            letterSpacing: string;
            position: string;
            top: string;
            transform: string;
            left: string;
            zIndex: string;
        };
        '.UiTool:hover .tooltiptext': {
            visibility: string;
            backgroundColor: string;
        };
        '#connection .tooltiptext': {
            top: string;
            transform: string;
            left: string;
            zIndex: string;
            padding: string;
        };
        '#connection': {
            position: string;
            bottom: string;
            left: string;
            fontFamily: string;
            height: string;
            width: string;
            pointerEvents: string;
        };
        '#settings-panel .tooltiptext': {
            display: string;
            top: string;
            transform: string;
            left: string;
            zIndex: string;
            padding: string;
            border: string;
            width: string;
            fallbacks: ({
                width: string;
                border?: undefined;
                padding?: undefined;
                zIndex?: undefined;
                left?: undefined;
                transform?: undefined;
                top?: undefined;
                display?: undefined;
            } | {
                border: string;
                width?: undefined;
                padding?: undefined;
                zIndex?: undefined;
                left?: undefined;
                transform?: undefined;
                top?: undefined;
                display?: undefined;
            } | {
                padding: string;
                width?: undefined;
                border?: undefined;
                zIndex?: undefined;
                left?: undefined;
                transform?: undefined;
                top?: undefined;
                display?: undefined;
            } | {
                zIndex: string;
                width?: undefined;
                border?: undefined;
                padding?: undefined;
                left?: undefined;
                transform?: undefined;
                top?: undefined;
                display?: undefined;
            } | {
                left: string;
                width?: undefined;
                border?: undefined;
                padding?: undefined;
                zIndex?: undefined;
                transform?: undefined;
                top?: undefined;
                display?: undefined;
            } | {
                transform: string;
                width?: undefined;
                border?: undefined;
                padding?: undefined;
                zIndex?: undefined;
                left?: undefined;
                top?: undefined;
                display?: undefined;
            } | {
                top: string;
                width?: undefined;
                border?: undefined;
                padding?: undefined;
                zIndex?: undefined;
                left?: undefined;
                transform?: undefined;
                display?: undefined;
            } | {
                display: string;
                width?: undefined;
                border?: undefined;
                padding?: undefined;
                zIndex?: undefined;
                left?: undefined;
                transform?: undefined;
                top?: undefined;
            })[];
        };
        '#controls': {
            position: string;
            top: string;
            left: string;
            fontFamily: string;
            pointerEvents: string;
            display: string;
        };
        '#controls>*': {
            marginBottom: string;
            borderRadius: string;
            display: string;
            height: string;
            lineHeight: string;
            padding: string;
        };
        '#controls #additionalinfo': {
            textAlign: string;
            fontFamily: string;
        };
        '#fullscreen-btn': {
            padding: string;
        };
        '#minimizeIcon': {
            display: string;
        };
        '#settingsBtn, #statsBtn': {
            cursor: string;
        };
        '#uiFeatures button': {
            backgroundColor: string;
            border: string;
            color: string;
            position: string;
            width: string;
            height: string;
            padding: string;
            textAlign: string;
        };
        '#uiFeatures button:hover': {
            backgroundColor: string;
            border: string;
            transition: string;
            paddingLeft: string;
            paddingTop: string;
        };
        '#uiFeatures button:active': {
            border: string;
            backgroundColor: string;
            paddingLeft: string;
            paddingTop: string;
        };
        '.btn-flat': {
            backgroundColor: string;
            color: string;
            fontFamily: string;
            fontWeight: string;
            border: string;
            borderRadius: string;
            fontSize: string;
            paddingLeft: string;
            paddingRight: string;
            cursor: string;
            textAlign: string;
        };
        '.btn-flat:hover': {
            backgroundColor: string;
            transition: string;
        };
        '.btn-flat:disabled': {
            background: string;
            borderColor: string;
            color: string;
            cursor: string;
        };
        '.btn-flat:active': {
            backgroundColor: string;
        };
        '.btn-flat:focus': {
            outline: string;
        };
        '#uiFeatures img': {
            width: string;
            height: string;
        };
        '.panel-wrap': {
            position: string;
            top: string;
            bottom: string;
            right: string;
            height: string;
            minWidth: string;
            maxWidth: string;
            transform: string;
            transition: string;
            pointerEvents: string;
            overflowY: string;
            overflowX: string;
            backgroundColor: string;
        };
        '.panel-wrap-visible': {
            transform: string;
        };
        '.panel': {
            overflowY: string;
            padding: string;
        };
        '#settingsHeading, #statsHeading': {
            display: string;
            fontSize: string;
            marginBlockStart: string;
            marginBlockEnd: string;
            marginInlineStart: string;
            marginInlineEnd: string;
            position: string;
            padding: string;
        };
        '#settingsClose, #statsClose': {
            margin: string;
            paddingTop: string;
            paddingBottom: string;
            paddingRight: string;
            fontSize: string;
            float: string;
        };
        '#settingsClose:after, #statsClose:after': {
            paddingLeft: string;
            display: string;
            content: string;
        };
        '#settingsClose:hover, #statsClose:hover': {
            color: string;
            transition: string;
        };
        '#settingsContent, #statsContent': {
            marginLeft: string;
            marginRight: string;
        };
        '.setting': {
            display: string;
            flexDirection: string;
            justifyContent: string;
            padding: string;
        };
        '.settings-text': {
            color: string;
            verticalAlign: string;
            fontWeight: string;
        };
        '.settings-option': {
            width: string;
            textOverflow: string;
            whiteSpace: string;
        };
        '#connectOverlay, #playOverlay, #infoOverlay, #errorOverlay, #afkOverlay, #disconnectOverlay': {
            zIndex: string;
            position: string;
            color: string;
            fontSize: string;
            width: string;
            height: string;
            backgroundColor: string;
            alignItems: string;
            justifyContent: string;
            textTransform: string;
        };
        '.clickableState': {
            alignItems: string;
            justifyContent: string;
            display: string;
            cursor: string;
        };
        '.textDisplayState': {
            display: string;
        };
        '.hiddenState': {
            display: string;
        };
        '#playButton, #connectButton': {
            display: string;
            height: string;
            zIndex: string;
        };
        'img#playButton': {
            maxWidth: string;
            width: string;
        };
        '#uiInteraction': {
            position: string;
        };
        '#UIInteractionButtonBoundary': {
            padding: string;
        };
        '#UIInteractionButton': {
            cursor: string;
        };
        '.btn-overlay': {
            verticalAlign: string;
            display: string;
        };
        '.tgl-switch': {
            verticalAlign: string;
            display: string;
        };
        '.tgl-switch .tgl': {
            display: string;
        };
        '.tgl, .tgl:after, .tgl:before, .tgl *, .tgl *:after, .tgl *:before, .tgl+.tgl-slider': {
            '-webkit-box-sizing': string;
            boxSizing: string;
        };
        '.tgl::-moz-selection, .tgl:after::-moz-selection, .tgl:before::-moz-selection, .tgl *::-moz-selection, .tgl *:after::-moz-selection, .tgl *:before::-moz-selection, .tgl+.tgl-slider::-moz-selection': {
            background: string;
        };
        '.tgl::selection, .tgl:after::selection, .tgl:before::selection, .tgl *::selection, .tgl *:after::selection, .tgl *:before::selection, .tgl+.tgl-slider::selection': {
            background: string;
        };
        '.tgl-slider': {};
        '.tgl+.tgl-slider': {
            outline: string;
            display: string;
            width: string;
            height: string;
            position: string;
            cursor: string;
            userSelect: string;
        };
        '.tgl+.tgl-slider:after, .tgl+.tgl-slider:before': {
            position: string;
            display: string;
            content: string;
            width: string;
            height: string;
        };
        '.tgl+.tgl-slider:after': {
            left: string;
        };
        '.tgl+.tgl-slider:before': {
            display: string;
        };
        '.tgl-flat+.tgl-slider': {
            padding: string;
            '-webkit-transition': string;
            transition: string;
            background: string;
            border: string;
            borderRadius: string;
        };
        '.tgl-flat+.tgl-slider:after': {
            '-webkit-transition': string;
            transition: string;
            background: string;
            content: string;
            borderRadius: string;
        };
        '.tgl-flat:checked+.tgl-slider': {
            border: string;
        };
        '.tgl-flat:checked+.tgl-slider:after': {
            left: string;
            background: string;
        };
        '.btn-apply': {
            display: string;
            marginLeft: string;
            marginRight: string;
            width: string;
        };
        '.form-control': {
            backgroundColor: string;
            border: string;
            borderRadius: string;
            color: string;
            textAlign: string;
            fontFamily: string;
        };
        '.form-control:hover': {
            borderColor: string;
        };
        '.form-group': {
            paddingTop: string;
            display: string;
            gridTemplateColumns: string;
            rowGap: string;
            paddingRight: string;
            paddingLeft: string;
        };
        '.form-group label': {
            verticalAlign: string;
            fontWeight: string;
        };
        '.settingsContainer': {
            display: string;
            flexDirection: string;
            borderBottom: string;
            paddingTop: string;
            paddingBottom: string;
        };
        '.settingsContainer> :first-child': {
            marginTop: string;
            marginBottom: string;
            fontWeight: string;
            justifyContent: string;
            display: string;
            flexDirection: string;
            alignItems: string;
        };
        '.collapse': {
            paddingLeft: string;
        };
        '#streamTools': {
            borderBottomRightRadius: string;
            borderBottomLeftRadius: string;
            userSelect: string;
            position: string;
            top: string;
            right: string;
            zIndex: string;
            border: string;
            borderTopWidth: string;
        };
        '.settingsHeader': {
            fontStyle: string;
        };
        '#streamToolsHeader': {
            display: string;
            flexDirection: string;
            justifyContent: string;
            borderBottom: string;
            backgroundColor: string;
        };
        '.streamTools': {
            backgroundColor: string;
            fontFamily: string;
            fontWeight: string;
            color: string;
        };
        '.streamTools-shown>#streamToolsSettings, .streamTools-shown>#streamToolsStats': {
            display: string;
        };
        '#streamToolsToggle': {
            width: string;
        };
        '#qualityStatus': {
            fontSize: string;
            paddingRight: string;
        };
        '.svgIcon': {
            fill: string;
        };
        '.modal': {
            minWidth: string;
            minHeight: string;
            left: string;
            top: string;
            position: string;
            display: string;
            flexDirection: string;
            justifyContent: string;
            alignItems: string;
            color: string;
        };
        '.innerModal': {
            position: string;
            width: string;
            height: string;
            backgroundColor: string;
            display: string;
            flexDirection: string;
            justifyContent: string;
            alignItems: string;
            borderRadius: string;
        };
        '.modalBtnContainer': {
            display: string;
            flexDirection: string;
            justifyContent: string;
            width: string;
            paddingTop: string;
            paddingBottom: string;
        };
        '.modalTextArea': {
            textAlign: string;
            width: string;
            height: string;
            resize: string;
            fontSize: string;
            border: string;
        };
        '.modalTextArea:focus-visible': {
            outline: string;
            border: string;
        };
        '.modal .btn-flat': {
            fontSize: string;
        };
    };
    customStyles?: Partial<Styles>;
    lightModePalette: ColorPalette;
    darkModePalette: ColorPalette;
    constructor(options?: {
        customStyles?: Partial<Styles>;
        lightModePalette?: ColorPalette;
        darkModePalette?: ColorPalette;
        jssInsertionPoint?: string | HTMLElement;
    });
    applyStyleSheet(): void;
    applyPalette(palette: ColorPalette): void;
    /**
     * Update the players color variables
     * @param isLightMode - should we use a light or dark color scheme
     */
    setColorMode(isLightMode: boolean): void;
}
